Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaModuleDependency

- org.gradle.tooling.model.idea.IdeaModuleDependency

- All Superinterfaces:
    Dependency, IdeaDependency

  Dependency on a module in a project.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `IdeaModule` | `getDependencyModule()` returns dependency module

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface IdeaDependency` | `getExported, getScope`

- - ### Method Detail

    - #### public IdeaModule getDependencyModule()

      returns dependency module

      Returns:
        dependency module